Name:		neverball
Summary:	Roll a ball through an obstacle course
Epoch:		1
Version: 	1.6.0
Release: 	%mkrel 13
Group:		Games/Arcade
License:	GPLv2+
Url:		https://www.neverball.org/
Source0:	https://www.neverball.org/%{name}-%{version}.tar.gz
Patch1:		neverball-1.6.0-gcc10.patch
BuildRequires:	pkgconfig(SDL2_mixer)
BuildRequires:	pkgconfig(SDL2_image)
BuildRequires:	pkgconfig(SDL2_ttf)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(physfs)
BuildRequires:	pkgconfig(vorbis)
Obsoletes:	neverputt
Provides:	neverputt = %{version}-%{release}

%description
Tilt the floor to roll a ball through an obstacle course within the
given time.  If the ball falls or time expires, a ball is lost.
This package includes neverputt, a golf game based on neverball.
Hardware accelerated OpenGL support with multitexture is required.

%prep
%setup -q
%autopatch -p1
sed -i "/Version/d" dist/%{name}.desktop.in
sed -i "/Version/d" dist/neverputt.desktop.in

%build
%make_build \
    CFLAGS="%{optflags} -ansi `sdl2-config --cflags`" \
    ENABLE_NLS=1 \
    DATADIR=%{_gamesdatadir}/%{name} \
    LOCALEDIR=%{_datadir}/locale

%install
mkdir -p %{buildroot}%{_gamesbindir}
install -m 755 %{name} %{buildroot}%{_gamesbindir}/%{name}
install -m 755 neverputt %{buildroot}%{_gamesbindir}/

mkdir -p %{buildroot}%{_gamesdatadir}/%{name}
# .map files are the sources for the levels generated by the buildsystem
rm -fr data/map-*/*.map
cp -a data/* %{buildroot}%{_gamesdatadir}/%{name}/
chmod -R a+rX %{buildroot}%{_gamesdatadir}/%{name}/

mkdir -p %{buildroot}%{_datadir}/applications
install -m 644 dist/*.desktop %{buildroot}%{_datadir}/applications
mkdir -p %{buildroot}%{_mandir}/man6
install -m 644 dist/*.6 %{buildroot}%{_mandir}/man6

for res in 16 24 32 48 64 128 256; do
    mkdir -p %{buildroot}%{_datadir}/icons/hicolor/${res}x${res}/apps
    install -m 644 dist/neverball_${res}.png %{buildroot}%{_datadir}/icons/hicolor/${res}x${res}/apps/neverball.png
    install -m 644 dist/neverputt_${res}.png %{buildroot}%{_datadir}/icons/hicolor/${res}x${res}/apps/neverputt.png
done

cp -r locale %{buildroot}%{_datadir}/

%find_lang %{name}

%files -f %{name}.lang
%doc README.md
%doc doc/*
%{_gamesbindir}/%{name}
%{_gamesbindir}/neverputt
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/neverputt.desktop
%{_iconsdir}/hicolor/*/apps/never*.png
%{_mandir}/man6/neverball.6*
%{_mandir}/man6/neverputt.6*


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1:1.6.0-13.mga10
+ Revision: 2216908
- Mageia 10 Mass Rebuild

* Thu Dec 22 2022 daviddavid <daviddavid> 1:1.6.0-12.mga9
+ Revision: 1925734
- add missing build dependency on pkgconfig(vorbis)

* Fri Apr 01 2022 umeabot <umeabot> 1:1.6.0-11.mga9
+ Revision: 1839836
- Mageia 9 Mass Rebuild

* Wed Jul 01 2020 cjw <cjw> 1:1.6.0-10.mga8
+ Revision: 1601216
- fix build with gcc 10

* Thu Feb 13 2020 umeabot <umeabot> 1:1.6.0-9.mga8
+ Revision: 1515363
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1:1.6.0-8.mga7
+ Revision: 1299730
- Mageia 7 Mass Rebuild

* Wed Jan 04 2017 zezinho <zezinho> 1:1.6.0-7.mga6
+ Revision: 1080148
- fix data files permission #19483
+ akien <akien>
- Remove extraneous data/ subdirectory in data dir

* Fri Apr 22 2016 daviddavid <daviddavid> 1:1.6.0-6.mga6
+ Revision: 1004839
- replace BR libphysfs-devel to pkgconfig(physfs) thus fixing build

* Fri Feb 05 2016 umeabot <umeabot> 1:1.6.0-5.mga6
+ Revision: 939115
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:1.6.0-4.mga5
+ Revision: 749474
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:1.6.0-3.mga5
+ Revision: 682873
- Mageia 5 Mass Rebuild

* Mon Jul 21 2014 zezinho <zezinho> 1:1.6.0-2.mga5
+ Revision: 655316
- fix l10n without a patch

* Mon Jul 21 2014 zezinho <zezinho> 1:1.6.0-1.mga5
+ Revision: 655295
- new version

* Sat Oct 19 2013 umeabot <umeabot> 1:1.5.4-8.mga4
+ Revision: 526218
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 fwang <fwang> 1:1.5.4-7.mga4
+ Revision: 436157
- drop deprecated macro
- rebuild for new libpng
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Aug 19 2012 cjw <cjw> 1:1.5.4-5.mga3
+ Revision: 282234
- fix file attributes

* Thu May 31 2012 dams <dams> 1:1.5.4-4.mga3
+ Revision: 252280
- add a patch from fedora to explicit link against -lX11 -lm to remove implicit library linkage

* Fri Mar 11 2011 stormi <stormi> 1:1.5.4-3.mga2
+ Revision: 68102
- remove old mdv stuff
- imported package neverball


* Mon Dec 06 2010 Oden Eriksson <oeriksson@mandriva.com> 1:1.5.4-2mdv2011.0
+ Revision: 613037
- the mass rebuild of 2010.1 packages

* Sun Sep 20 2009 Götz Waschk <waschk@mandriva.org> 1:1.5.4-1mdv2010.0
+ Revision: 445299
- update to new version 1.5.4

* Wed Sep 09 2009 Frederik Himpe <fhimpe@mandriva.org> 1:1.5.3-1mdv2010.0
+ Revision: 435898
- update to new version 1.5.3

* Fri Aug 28 2009 Götz Waschk <waschk@mandriva.org> 1:1.5.2-2mdv2010.0
+ Revision: 421827
- add another patch to fix locale dir
- drop patch and set datadir in make command line (bug #53233)

* Mon Aug 17 2009 Götz Waschk <waschk@mandriva.org> 1:1.5.2-1mdv2010.0
+ Revision: 417145
- update build deps
- new version
- drop patch 0

* Sun Aug 16 2009 Götz Waschk <waschk@mandriva.org> 1:1.5.1-5mdv2010.0
+ Revision: 416887
- rebuild for new libjpeg

* Fri Jun 12 2009 Götz Waschk <waschk@mandriva.org> 1:1.5.1-4mdv2010.0
+ Revision: 385557
- really fix directories (bug #51591)

* Fri Jun 12 2009 Götz Waschk <waschk@mandriva.org> 1:1.5.1-3mdv2010.0
+ Revision: 385475
- fix locale location
- readd wrapper scripts to make it start from command line again

* Fri Jun 12 2009 Götz Waschk <waschk@mandriva.org> 1:1.5.1-2mdv2010.0
+ Revision: 385389
- fix data dir
- use upstream desktop entries, icons, man pages and docs
- enable translations

* Mon Jun 08 2009 Götz Waschk <waschk@mandriva.org> 1:1.5.1-1mdv2010.0
+ Revision: 383900
- update to new version 1.5.1

* Wed Feb 04 2009 Zombie Ryushu <ryushu@mandriva.org> 1:1.5.0-1mdv2009.1
+ Revision: 337241
- Add libjpeg to Build Requires
- Add libpng to Build Requires

  + Michael Scherer <misc@mandriva.org>
    - update to new release

* Tue Jul 29 2008 Thierry Vignaud <tv@mandriva.org> 1:1.4.0-7mdv2009.0
+ Revision: 253859
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri Jan 11 2008 Thierry Vignaud <tv@mandriva.org> 1:1.4.0-5mdv2008.1
+ Revision: 148290
- drop old menu
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Aug 28 2007 Thierry Vignaud <tv@mandriva.org> 1:1.4.0-5mdv2008.0
+ Revision: 73096
- kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'


* Mon Sep 04 2006 Götz Waschk <waschk@mandriva.org> 1.4.0-5mdv2007.0
- fix installation

* Wed Jul 05 2006 Götz Waschk <waschk@mandriva.org> 1:1.4.0-4mdv2007.0
- fix buildrequires
- xdg menu

* Wed May 10 2006 Götz Waschk <waschk@mandriva.org> 1:1.4.0-3mdk
- Rebuild
- use mkrel

* Mon May 09 2005 Götz Waschk <waschk@mandriva.org> 1.4.0-2mdk
- fix build on x86_64

* Wed Sep 15 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.4.0-1mdk
- New release 1.4.0

* Mon Sep 06 2004 Götz Waschk <waschk@linux-mandrake.com> 1.3.7-2mdk
- don't accidently remove .sol files (thanks to Fabien Brachere)

* Thu Aug 12 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.3.7-1mdk
- New release 1.3.7

* Sun Jul 25 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.3.6-1mdk
- New release 1.3.6

* Thu Jul 22 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.3.5-1mdk
- New release 1.3.5

* Wed Jul 14 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.3.4-1mdk
- New release 1.3.4

* Tue Jul 13 2004 Götz Waschk <waschk@linux-mandrake.com> 1.3.3-1mdk
- drop GLU dependancy
- New release 1.3.3

* Mon Jul 12 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.3.2-1mdk
- New release 1.3.2

* Wed Jul 07 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.3.1-1mdk
- New release 1.3.1

* Mon Jun 28 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.3.0-1mdk
- New release 1.3.0

* Mon Jun 21 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.2.7-1mdk
- New release 1.2.7

* Fri May 07 2004 Götz Waschk <waschk@linux-mandrake.com> 1.2.5-1mdk
- add source URL
- fix doc file listing
- New release 1.2.5

* Wed Apr 14 2004 Olivier Blin <blino@mandrake.org> 1.2.1-1mdk
- install neverputt files
- Obsoletes/Provides neverputt (merged in neverball)
- new release

* Fri Feb 06 2004 Olivier Blin <blino@mandrake.org> 1.1.0-2mdk
- don't ship unneeded files (map "source" files)

* Thu Feb 05 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.1.0-1mdk
- 1.1.0
- fix buildrequires (lib64..)

* Sun Nov 09 2003 Olivier Blin <oliv.blin@laposte.net> 1.0.0-2mdk
- keep 0.25.11-2mdk fixes (stupid me ...)

* Sun Nov 09 2003 Olivier Blin <oliv.blin@laposte.net> 1.0.0-1mdk
- 1.0.0
- add url in Source0

* Wed Oct 29 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.25.11-2mdk
- compile with $RPM_OPT_FLAGS
- don't list datadir twice in %%files

* Mon Oct 27 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.25.11-1mdk
- 0.25.11
- updated url
- move to %%{_gamesbindir} and %%{_gamesdatadir}

* Thu Oct 16 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.25.10-1mdk
- 0.25.10

* Wed Oct 01 2003 Götz Waschk <waschk@linux-mandrake.com> 0.25.6-1mdk
- new version

* Mon Sep 22 2003 Götz Waschk <waschk@linux-mandrake.com> 0.25.4-1mdk
- new version

